
QGIS Application - Bug report #18372

Adding new dxf to canvas problem QGIS3.0

2018-03-07 11:26 AM - PJ Lightning

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: win7 Pro 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26262

Description

I added several map dxfs and grouped them.

I go to add another dxf as a new layer by right clicking on the file (redline.dxf) in the browser, but instead of adding it as a new layer it's

inserting it as some kind of subgrouped attribute within the group. (See the light grey text which has appeared under the cords

county_Bdy, which is par of a different dxf. in the Layers window.)

Screenshot attached/

History

#1 - 2018-03-07 10:53 PM - Giovanni Manghi

- Status changed from Open to Feedback

Does it work as expected on 2.18?

#2 - 2018-03-08 12:22 AM - PJ Lightning

Giovanni Manghi wrote:

Does it work as expected on 2.18?

Yes. When I couldn't get it working in 3.0 I had to start the project from the beginning in 2.18. Adding the dxf in the same manner makes a new layer.

#3 - 2018-03-08 12:25 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Status changed from Feedback to Open

#4 - 2018-12-28 12:14 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#5 - 2018-12-28 02:52 PM - Giovanni Manghi

- Status changed from Open to Feedback
Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.

Please change status to "feedback" when needed.

#6 - 2019-03-09 04:48 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback.

Files

QGISerror2.jpg 158 KB 2018-03-07 PJ Lightning

2025-04-26 2/2


